<template>
    <div>
        <h1>Create ticket</h1>
        <FormTicket :submitCallback="postTicket" />
        <label v-if="error">{{error}}</label>
    </div>
</template>

<script>
  import FormTicket from '@/components/FormTicket.vue';
  import ticketServices from '@/services/ticket';

  export default {
    name: "CreateTicket",
    components : {
      FormTicket
    },
    data(){
      return {
        error :null
      }
    },
    methods : {
      async postTicket(ticket){
        try {
          await ticketServices.postTicket(ticket);
          this.$router.push('/');
        } catch (e) {
          this.error = 'Oops there is a problem !';
        }
      }
    }
  }
</script>

<style scoped>

</style>